/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.email-list-wrapper {
  padding: 32px;
  background: #fff;
  &:focus-visible {
    outline: 0;
  }

  h2 {
    margin-top: 0;
  }
  .btn-new-list {
    color: @platfrom-blue1;
  }
  .ant-collapse {
    border: 0;
    background: none;
    margin: 0 0 32px;
    .ant-collapse-content {
      border: 0;
      .actualize-hint-holder {
        margin: 0 0 20px 20px;
        button {
          margin-left: 5px;
          color: @platfrom-blue1;
          span {
            text-decoration: underline;
          }
          &:hover {
            span {
              text-decoration: none;
            }
          }
        }
      }
    }
    & > .ant-collapse-item {
      & > .ant-collapse-header {
        padding: 12px 0;
        .ant-collapse-expand-icon {
          width: 24px;
          height: 24px;
          margin-right: 10px;
          padding: 5px;
          svg {
            width: 12px;
            height: 12px;
          }
        }

        &:hover,
        &:focus {
          .ant-collapse-expand-icon {
            background: @platfrom-blue1;
            color: white;
          }
        }
        .list-title-outdated {
          display: block;
          padding-left: 20px;
          svg {
            margin: 4px 0 0 -25px;
            float: left;
          }
        }
      }
      &.ant-collapse-item-active {
        & > .ant-collapse-header {
          .ant-collapse-expand-icon {
            background: @platfrom-blue1;
            color: white;
            transform: rotate(-90deg);
          }
        }
      }
    }
  }

  dl.personen-holder {
    line-height: 26px;
    width: 100%;
    overflow: hidden;
    margin: 0 0 0 20px;
    dt.title,
    dd.title {
      font-weight: 500;
    }
    dt {
      float: left;
      clear: left;
      width: 50%;
      font-weight: normal;
      svg {
        vertical-align: top;
        margin: 5px 5px 0 0;
      }
    }
    dd {
      float: left;
      width: 50%;
      margin-bottom: 15px;
    }
  }
}

.delete-email-list-confirm-modal {
  .ant-modal-header {
    border-bottom-width: 0 !important;
    padding: 0 !important;
    min-height: 24px 32px !important;

    .svg {
      width: 24px;
      height: 24px;
      color: #000;
    }
  }
  .ant-modal-close {
    margin: 8px !important;
    color: #000 !important;
    &:focus {
      color: #fff !important;
    }
  }
  .ant-modal-close-x {
    font-size: 2.4rem !important;
  }
  .ant-modal-footer {
    border-top-width: 0 !important;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    column-gap: 10px;
    padding-bottom: 24px !important;
  }
  .delete-confirm-title {
    margin: 14px 0;
    font-size: 1.8rem;
    svg {
      vertical-align: top;
      margin: 4px 5px 0 0;
    }
  }
  .delete-confirm-content {
    font-size: 1.6rem;
    margin-top: 0;
  }
  .ant-modal-body {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    padding-left: 32px !important;
    padding-right: 32px !important;
    overflow: hidden;
  }
}
